Bug 125164 - CRASH: After editing the index and undoing
Summary: CRASH: After editing the index and undoing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-05-07 19:45 UTC by Xisco Faulí
Modified: 2019-05-13 08:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (9.09 KB, text/plain)
2019-05-08 08:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-07 19:45:53 UTC
Steps to reproduce:
1. Open attachment 48452 [details] from bug 38703
2. Type something
3. Right click on the TOC entry - Edit Index
4. Click Ok
5. Undo

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 5e8d51ca7b597eeaf9f8cfbb1c97e8ab51b030a8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-07 19:47:18 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4f0b568ef35353b276ae560fb43502b6f6b2bfdb

author	Michael Stahl <Michael.Stahl@cib.de>	2019-04-25 18:31:08 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2019-04-26 15:55:29 +0200
commit	4f0b568ef35353b276ae560fb43502b6f6b2bfdb (patch)
tree	b336c36b1207fa59ee6402ec2673e3017be48760
parent	41df42a8dc758571dd7635c358a09bf412051649 (diff)
tdf#38703 i#42807 sw: stop clearing Undo stack on ToX Update

Bisected with: bibisect-linux64-6.3

Adding Cc: to Michael Stahl
Comment 2 Julien Nabet 2019-05-08 08:27:44 UTC
Created attachment 151233 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2019-05-10 16:40:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/eb8e03006d588f2d953c4fba4e47ced9b53ba6aa%5E%21

tdf#125164 sw: reimplement SwUndoTOXChange

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2019-05-10 16:41:34 UTC
resurrected some very borked code :(

fixed on master
Comment 5 Xisco Faulí 2019-05-13 08:52:48 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!